<script lang="ts">
  import Root from 'bits-ui';
  import { cn, type WithoutChildren } from '$lib/utils/cn.svelte.js';

  let {
    ref = $bindable(null),
    class: className,
    ...restProps
  }: WithoutChildren<Root.Field.ControlProps> = $props();
</script>

<Root.Field.Control
  bind:ref
  data-slot="field-control"
  class={cn('flex flex-col gap-2', className)}
  {...restProps}
/>